# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/22e93269-9e64-4e90-7d2c-4b4c7f666595/volume/rsync-recipes/pyarrow-3.0.0-python_3.6-on-osx, last modified Tue Mar  9 00:35:14 2021
# ------------------------------------------------

package:
  name: pyarrow
  version: 3.0.0
source:
  fn: apache-arrow-3.0.0.tar.gz
  sha256: 73c2cc3be537aa1f3fd9490cfec185714168c9bfd599d23e287ab0cc0558e27a
  url: https://dist.apache.org/repos/dist/release/arrow/arrow-3.0.0/apache-arrow-3.0.0.tar.gz
build:
  ignore_run_exports:
    - glog
    - grpc-cpp
    - snappy
  number: '3'
  string: py36hdf3e9eb_3
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2021.1.19 hecd8cb5_1
    - cctools 927.0.2 h5ba7a2e_4
    - clang 10.0.0 default_hf57f61e_0
    - clang_osx-64 10.0.0 h05bbb7f_1
    - clangxx 10.0.0 default_hf57f61e_0
    - clangxx_osx-64 10.0.0 h05bbb7f_1
    - cmake 3.19.6 h04fa861_0
    - compiler-rt 10.0.0 h47ead80_0
    - compiler-rt_osx-64 10.0.0 hbcc88fd_0
    - expat 2.2.10 hb1e8313_2
    - krb5 1.18.2 h75d18d8_0
    - ld64 450.3 h3c32e8a_4
    - libcurl 7.71.1 h8a08a2b_1
    - libcxx 10.0.0 1
    - libedit 3.1.20191231 h1de35cc_1
    - libffi 3.3 hb1e8313_2
    - libllvm10 10.0.0 h21ff451_2
    - libssh2 1.9.0 ha12b0ac_1
    - libuv 1.40.0 haf1e3a3_0
    - llvm-openmp 10.0.0 h28b9765_0
    - llvm-tools 10.0.0 h21ff451_2
    - lz4-c 1.9.3 h23ab428_0
    - make 4.2.1 h3efe00b_1
    - ncurses 6.2 h0a44026_1
    - ninja 1.10.2 py39hf7b0b51_0
    - openssl 1.1.1j h9ed2024_0
    - python 3.9.2 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - rhash 1.4.1 hbcfaee0_1
    - sqlite 3.33.0 hffcf06c_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.10 hb0a8c7a_0
    - tzdata 2020f h52ac0ba_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
    - zstd 1.4.5 h41d2c2f_0
  host:
    - arrow-cpp 3.0.0 py36hf7c73f6_2
    - aws-c-common 0.4.57 hb1e8313_1
    - aws-c-event-stream 0.1.6 h23ab428_5
    - aws-checksums 0.1.9 hb1e8313_0
    - aws-sdk-cpp 1.8.133 he271ece_0
    - blas 1.0 mkl
    - boost-cpp 1.73.0 h9ed2024_11
    - brotli 1.0.9 hb1e8313_2
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.17.1 h9ed2024_0
    - ca-certificates 2021.1.19 hecd8cb5_1
    - certifi 2020.12.5 py36hecd8cb5_0
    - cython 0.29.22 py36h23ab428_0
    - double-conversion 3.1.5 haf313ee_1
    - gflags 2.2.2 h0a44026_0
    - glog 0.4.0 h0a44026_0
    - grpc-cpp 1.26.0 h044775b_0
    - icu 58.2 h0a44026_3
    - intel-openmp 2019.4 233
    - krb5 1.18.2 h75d18d8_0
    - libboost 1.73.0 hd4c2dcd_11
    - libcurl 7.71.1 h8a08a2b_1
    - libcxx 10.0.0 1
    - libedit 3.1.20191231 h1de35cc_1
    - libevent 2.1.8 hddc9c9b_1
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - libiconv 1.16 h1de35cc_0
    - libprotobuf 3.11.2 hd9629dc_0
    - libssh2 1.9.0 ha12b0ac_1
    - libthrift 0.13.0 h054ceb0_6
    - lz4-c 1.9.3 h23ab428_0
    - mkl 2019.4 233
    - mkl-service 2.3.0 py36h9ed2024_0
    - mkl_fft 1.0.14 py36h27c97d8_0
    - mkl_random 1.0.4 py36h27c97d8_0
    - ncurses 6.2 h0a44026_1
    - numpy 1.16.6 py36h81c90fd_0
    - numpy-base 1.16.6 py36h6575580_0
    - openssl 1.1.1j h9ed2024_0
    - orc 1.6.5 h001ef8f_1
    - python 3.6.13 h88f2d9e_0
    - re2 2020.11.01 h23ab428_1
    - readline 8.1 h9ed2024_0
    - setuptools 52.0.0 py36hecd8cb5_0
    - setuptools-scm 5.0.2 pyhd3eb1b0_1
    - setuptools_scm 5.0.2 hd3eb1b0_1
    - six 1.15.0 py36hecd8cb5_0
    - snappy 1.1.8 hb1e8313_0
    - sqlite 3.33.0 hffcf06c_0
    - tk 8.6.10 hb0a8c7a_0
    - toml 0.10.1 py_0
    - uriparser 0.9.3 h0a44026_1
    - utf8proc 2.6.1 h9ed2024_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
    - zstd 1.4.5 h41d2c2f_0
  run:
    - arrow-cpp >=3.0.0,<3.0.1.0a0
    - arrow-cpp >=3.0.0,<4.0a0
    - boost-cpp
    - gflags
    - glog
    - libcxx >=10.0.0
    - numpy >=1.11,<2.0a0
    - pandas
    - python >=3.6,<3.7.0a0
    - six
    - snappy
test:
  commands:
    - test ! -f ${SP_DIR}/pyarrow/tests/test_array.py
  imports:
    - pyarrow
    - pyarrow._hdfs
    - pyarrow._s3fs
    - pyarrow.dataset
    - pyarrow.flight
    - pyarrow.fs
    - pyarrow.orc
    - pyarrow.parquet
    - pyarrow.plasma
about:
  home: http://github.com/apache/arrow
  license: Apache 2.0
  license_file: LICENSE.txt
  summary: Python libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - cpcloud
    - jreback
    - kou
    - kszucs
    - pcmoritz
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
